<template>
  <router-link class="category-wrapper" :to="`/category/${category.id}`">
    <div class="category-card">
      <div class="image-wrapper">
        <img :src="category.thumbnailUrl" :alt="category.name" />
      </div>
      <p class="category-name">{{ category.name }}</p>
    </div>
  </router-link>
</template>

<script>
export default {
  name: "CategoryCard",
  props: {
    category: {
      type: Object,
      required: true,
    },
  },
};
</script>

<style scoped>
.category-card {
  cursor: pointer;

  display: flex;
  flex-direction: column;
  width: 150px;
  height: 200px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  padding: 20px 10px;
  border-radius: 5px;
  text-align: center;
  justify-content: space-between;
}
.category-wrapper {
  text-decoration: none;
  color: black;
}

.image-wrapper {
  overflow: hidden;
  border-radius: 5px;
}

.category-card img {
  width: 100%;
  transition: transform 0.3s ease;
}

.category-card:hover img {
  transform: scale(1.1);
}

.category-card p {
  margin: 10px 0;
  font-size: 1.2em;
}
.category-card:hover p {
  transform: translateY(7px);
  transition: transform 0.3s ease;
}
</style>
